Name:           e_dbus
Version:        0.5.0.050
Release:        4%{?dist}
Summary:        Wrappers around dbus for EFL based applications

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.enlightenment.org/
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ecore-devel evas-devel dbus-devel chrpath pkgconfig

%description
Basic convenience wrappers around dbus to ease integrating dbus with EFL based
applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       dbus-devel ecore-devel evas-devel pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm %{buildroot}%{_bindir}/%{name}_*
chrpath --delete %{buildroot}%{_bindir}/e-notify-send
chrpath --delete %{buildroot}%{_libdir}/*.so.*
find %{buildroot} -name '*.la' -delete


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/e-notify-send
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Apr 04 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.050-4
- back to old source 050

* Mon Feb 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0.063-1
- New upstream source 0.5.0.063-1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0.050-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.050-1
- New upstream snapshot

* Mon May 19 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.5.0.043-1
- New upstream snapshot

* Sat May 17 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-3
- Fixed pkgconfig missing from buildrequires and requires of e_dbus-devel
- Removed unneeded test binaries
- Fixed copypaste abuse in enm.pc.in, patch upstreamed

* Sun May 04 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-2
- Fixed typo in E_Nm.h, fix committed upstream
- Added missing dependencies to e_dbus-devel
- Fixed timestamp of source tarball
- Preserve timestamps of installed files

* Mon Apr 14 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.1.0.042-1
- Initial specfile for e_dbus
